diff --git a/doc/src/sgml/ddl.sgml b/doc/src/sgml/ddl.sgml
index 8314fce78f..b12f20cbaa 100644
--- a/doc/src/sgml/ddl.sgml
+++ b/doc/src/sgml/ddl.sgml
@@ -3892,6 +3892,14 @@ ALTER TABLE measurement ATTACH PARTITION measurement_y2008m02
        from the same session.
       </para>
      </listitem>
+
+     <listitem>
+      <para>
+       Currently, an <command>UPDATE</command> of a partitioned table cannot
+       move rows out of a foreign partition into another partition.
+     </para>
+    </listitem>
+
     </itemizedlist>
     </para>
     </sect3>
diff --git a/doc/src/sgml/ref/update.sgml b/doc/src/sgml/ref/update.sgml
index 77430a586c..0adb374a3c 100644
--- a/doc/src/sgml/ref/update.sgml
+++ b/doc/src/sgml/ref/update.sgml
@@ -291,9 +291,11 @@ UPDATE <replaceable class="parameter">count</replaceable>
    concurrent <command>UPDATE</command> or <command>DELETE</command> on the
    same row may miss this row. For details see the section
    <xref linkend="ddl-partitioning-declarative-limitations"/>.
-   Currently, rows cannot be moved from a partition that is a
-   foreign table to some other partition, but they can be moved into a foreign
-   table if the foreign data wrapper supports it.
+  </para>
+
+  <para>
+   Currently, an <command>UPDATE</command> of a partitioned table cannot move
+   rows out of a foreign partition into another partition.
   </para>
  </refsect1>
 
